%define name		j2ee-deployment
%define cvs_name	j2ee_deployment
%define version		1.1
%define cvs_version	1_1
%define release		1jpp_1rh
%define section		non-free

Summary:	J2EE(tm) Deployment API
Url:		http://java.sun.com/j2ee/tools/deployment

Source0:	%{cvs_name}-%{cvs_version}-fr-class.zip

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java 2 Platform, Enterprise Edition (J2EE) Deployment 
API Specification is under development as JSR 88 in the 
Java Community Process. It defines standard APIs to enable 
deployment of components and applications based on the J2EE 
platform, as well as the development of platform-independent 
deployment tools. 

%prep
%setup -q -c

# fix files perms
chmod -R go=u-w *

%build
jar cf javax88.jar javax

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755                        $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 javax88.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s              %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar

%changelog
* Mon Dec 13 2004 Fernando Nasser <fnasser@redhat.com> 1.1-1jpp_1rh
- First Red Hat release

* Tue Jul 13 2004 Ralph Apel <r.apel at r-apel.de> 1.1-1jpp
- Initial release
